<div class="col-lg-12 animated fadeInRight">
    <div class="wrapper wrapper-content animated fadeInRight">
        <div class="row">
            <div class="col-lg-12">
                <div class="ibox float-e-margins">
                    <div class="ibox-title">
                        <h3>
                            <strong>Manage Predefined Messages</strong>
                        </h3>
                        <div class="fm-row float">
                            <div class="text-right">
                                <div class="col-sm-4">
                                    <input [(ngModel)]="message_content" name="message_content" (keydown.enter)="searchMessageContent()" autocomplete="off" type="text"
                                        class="form-control" placeholder="Search For Message Content" />
                                </div>
                                <div class="col-sm-8 text-right">
                                    <button class="btn btn-sm btn-primary blue" type="get" (click)="searchMessageContent()">
                                        <i aria-hidden="true" class="fa fa-search"></i> Search</button>
                                        <button class="btn btn-primary btn-sm green" (click)="refetchPredefinedMessages()" >
                                                <i aria-hidden="true" class="fa fa-refresh"> Refresh</i>
                                            </button>
                                    <button class="btn btn-primary btn-sm red" (click)="reset()" >
                                        <i aria-hidden="true" class="fa fa-eraser"> Reset filters</i>
                                    </button>
                                    <ng-container *ngIf="aclAdd">
                                        <button type="submit" class="btn btn-primary btn-sm blue" [routerLink]="['/admin/administration/predefined-messages/add']">Add new record</button>
                                    </ng-container>
                                </div>
                            </div>
                        </div>
                        <div class="ibox-content">
                            <div class="table-responsive">
                                <table aria-describedby="Manage Predefined Messages" class="table table-striped table-bordered table-responsive">
                                    <thead>
                                        <tr>
                                            <th scope="col">Company</th>
                                            <th scope="col" (click)="sort('message_type')">Message type
                                                <span>
                                                    <i aria-hidden="true" class="fa fa-sort-asc fa_custom up" [ngClass]="{'sorted-color': sortOrder=='desc' && key =='message_type' }"></i>
                                                    <i aria-hidden="true" class="fa fa-sort-desc fa_custom down" [ngClass]="{'sorted-color': sortOrder=='asc' && key =='message_type' }"></i>
                                                </span>
                                            </th>
                                            <th scope="col">Message content</th>
                                            <th scope="col" (click)="sort('updated_at')">Date
                                                <span>
                                                    <i aria-hidden="true" class="fa fa-sort-asc fa_custom up" [ngClass]="{'sorted-color': sortOrder=='desc' && key =='updated_at' }"></i>
                                                    <i aria-hidden="true" class="fa fa-sort-desc fa_custom down" [ngClass]="{'sorted-color': sortOrder=='asc' && key =='updated_at' }"></i>
                                                </span>
                                            </th>
                                            <th scope="col" *ngIf="aclEdit || aclDelete">Action</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <span *ngIf="searchLoader">
                                            <img alt="loader" src="assets/img/loader.gif" class="loader-img" />
                                        </span>
                                        <tr *ngFor="let predefined_message of predefinedMessageData ">

                                            <td>{{predefined_message.company}} </td>
                                            <td>{{predefined_message.message_type}} </td>
                                            <td>{{predefined_message.message_content }}</td>
                                            <td>{{predefined_message.updated_at | date}}</td>
                                            <td *ngIf="aclEdit || aclDelete">
                                                <span *ngIf="aclEdit" matTooltip="Edit">
                                                    <a [routerLink]="['/admin/administration/predefined-messages/edit', predefined_message._id]">
                                                        <i aria-hidden="true" class="fa fa-edit text-navy"></i>
                                                    </a>&nbsp;&nbsp;&nbsp;
                                                </span>
                                                <span *ngIf="aclEdit" matTooltip="Delete">
                                                    <a (click)="openDialog(predefined_message._id)">
                                                        <i aria-hidden="true" class="fa fa-trash text-navy"></i>
                                                    </a>
                                                </span>
                                            </td>
                                        </tr>
                                    </tbody>
                                </table>
                            </div>
                            <br>

                            <div class="container-fluid" *ngIf="predefinedMessageLength>0">
                                <div class="row col-md-12 text-center">
                                    <div class="dataTables_info1">
                                        <div>
                                            <ngb-pagination [collectionSize]="predefinedMessageLength" (pageChange)="pagingAgent($event)" [page]="1" [pageSize]="itemsPerPage"
                                                aria-label="Default pagination" [maxSize]="5" [boundaryLinks]="true"></ngb-pagination>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="container-fluid" *ngIf="predefinedMessageLength==0">
                                <div class="row">
                                    <div class="dataTables_info1">
                                        <div class="col-md-4 form-group" style="text-align:center;margin-left:32%">
                                            No records found.
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
